- Development Integration
- /
- SDK
- /
- Python
- /
Authentication Module
- /
User Profile
- /
- Get Password Strength and Account Security Score
¶ Get password strength and account security rating
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
To obtain the user's password strength and account security rating, you need to bring the user's access_token in the request header.
¶ Method name
AuthenticationClient.get_security_level
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|
¶ Request response
Type: GetSecurityInfoRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | GetSecurityInfoDto | Response data |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {}
}
¶ Data structure
¶ GetSecurityInfoDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| passwordSecurityLevel | number | Yes | Password strength level | |
| mfaEnrolled | boolean | yes | Is MFA bound | |
| passwordSet | boolean | yes | Is a password set | |
| emailBinded | boolean | yes | Is an email bound | |
| phoneBinded | boolean | yes | Is a mobile phone number bound | |
| securityScore | number | yes | Account level score |
